# TTransparencyParameters Struct Reference

List of all members.

## Public Member Functions
| TTransparencyParameters ()
void | SetDefaultValues ()
void | Clear ()
TTransparencyParameters & | operator+= (TTransparencyParameters &param)
TTransparencyParameters & | operator-= (TTransparencyParameters &param)
TTransparencyParameters & | operator*= (real t)
void | Interpolate (const TTransparencyParameters &from, const TTransparencyParameters &to, const real t)
## Public Attributes
TMCColorRGB | fIntensity
TMCColorRGB | fAbsorption
TMCColorRGB | fInScattering
int32 | fMaxTrans
real | fMaxAttenuation
real | fFresnelTerm
boolean | fUseAbsorption
real | fAbsorptionCoeff
real | fKdiffuseCoeff
int32 | fInScatteringQuality

## Constructor & Destructor Documentation

TTransparencyParameters::TTransparencyParameters | ( |  | ) | `[inline]`

## Member Function Documentation

void TTransparencyParameters::Clear | ( |  | ) | `[inline]`

void TTransparencyParameters::Interpolate | ( | const TTransparencyParameters & | from,
|  | const TTransparencyParameters & | to,
|  | const real | t |
| ) |  |  | `[inline]`

TTransparencyParameters& TTransparencyParameters::operator*= | ( | real | t | ) | `[inline]`

TTransparencyParameters& TTransparencyParameters::operator+= | ( | TTransparencyParameters & | param | ) | `[inline]`

TTransparencyParameters& TTransparencyParameters::operator-= | ( | TTransparencyParameters & | param | ) | `[inline]`

void TTransparencyParameters::SetDefaultValues | ( |  | ) | `[inline]`

## Member Data Documentation

TMCColorRGB TTransparencyParameters::fAbsorption

real TTransparencyParameters::fAbsorptionCoeff

real TTransparencyParameters::fFresnelTerm

TMCColorRGB TTransparencyParameters::fInScattering

int32 TTransparencyParameters::fInScatteringQuality

TMCColorRGB TTransparencyParameters::fIntensity

real TTransparencyParameters::fKdiffuseCoeff

real TTransparencyParameters::fMaxAttenuation

int32 TTransparencyParameters::fMaxTrans

boolean TTransparencyParameters::fUseAbsorption

The documentation for this struct was generated from the following file:

- ShaderTypes.h